POST api/Insured/InsuredXDatesAndLinesOfBusiness
Insured X-Dates and Lines of Business list endpoint.
Request Information
URI Parameters
None.
Body Parameters
List of insured database Ids.
InsuredDataBaseIds| Name | Description | Type | Additional information |
|---|---|---|---|
| InsuredDataBaseId | Collection of globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"insuredDataBaseId": [
"0aaf5b06-54c6-4d68-8dd7-9641008cd375",
"edffc643-fb23-47a2-a70b-f70f26c81605"
]
}
application/xml, text/xml
Sample:
<InsuredDataBaseIds xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.OData">
<InsuredDataBaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:guid>0aaf5b06-54c6-4d68-8dd7-9641008cd375</d2p1:guid>
<d2p1:guid>edffc643-fb23-47a2-a70b-f70f26c81605</d2p1:guid>
</InsuredDataBaseId>
</InsuredDataBaseIds>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
List of XDatesLinesOfBusiness against given insured database Ids.
XDatesLinesOfBusiness| Name | Description | Type | Additional information |
|---|---|---|---|
| DatabaseId | globally unique identifier |
None. |
|
| XDate | date |
None. |
|
| LineOfBusinessName | string |
None. |
|
| InsuredDatabaseId | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
{
"databaseId": "0f12c0ac-2e26-45e4-b03e-b40ac8b7485f",
"xDate": "2026-11-10T13:33:02.4832905-06:00",
"lineOfBusinessName": "sample string 2",
"insuredDatabaseId": "68d98253-811b-46c9-90d0-faa55029a1ce"
}
application/xml, text/xml
Sample:
<XDatesLinesOfBusiness xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <DatabaseId>0f12c0ac-2e26-45e4-b03e-b40ac8b7485f</DatabaseId> <InsuredDatabaseId>68d98253-811b-46c9-90d0-faa55029a1ce</InsuredDatabaseId> <LineOfBusinessName>sample string 2</LineOfBusinessName> <XDate>2026-11-10T13:33:02.4832905-06:00</XDate> </XDatesLinesOfBusiness>